AbstractCompoundTerm
Date: 2022-09-03

com.parctechnologies.eclipse

## Class AbstractCompoundTerm

- java.lang.Object
- - com.parctechnologies.eclipse.AbstractCompoundTerm

- All Implemented Interfaces:
    CompoundTerm
  Direct Known Subclasses:
    Atom, CompoundTermImpl

      public abstract class AbstractCompoundTerm
      extends java.lang.Object
      implements CompoundTerm

  A useful superclass for objects implementing the `CompoundTerm` interface.

  Subclass AbstractCompoundTerm if you are creating a class which implements `CompoundTerm`. This abstract class provides some of the methods required.

  See Also:
    `CompoundTerm`, `CompoundTermImpl`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCompoundTerm(java.lang.String functor, int arity)` Construct an AbstractCompoundTerm with a given functor and arity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `arity()` Return the arity.
    `boolean` | `equals(java.lang.Object obj)` Overrides `equals()` in java.lang.Object.
    `java.lang.String` | `functor()` Returns the functor.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.parctechnologies.eclipse.CompoundTerm

      `arg`

- - ### Constructor Detail

    - #### AbstractCompoundTerm

          public AbstractCompoundTerm(java.lang.String functor,
                                      int arity)

      Construct an AbstractCompoundTerm with a given functor and arity.

  - ### Method Detail

    - #### functor

          public java.lang.String functor()

      Returns the functor.
      Specified by:
        `functor` in interface `CompoundTerm`

    - #### arity

          public int arity()

      Return the arity.
      Specified by:
        `arity` in interface `CompoundTerm`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides `equals()` in java.lang.Object. Returns true iff the parameter Object implements CompoundTerm and its functor and arity are equal to this object's and pairwise invocations of `equals()` return true between each of this object's arguments and the corresponding argument of the parameter object.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`